Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083720 - Review Request: python-hwloc - Python bindings for hwloc
Summary: Review Request: python-hwloc - Python bindings for hwloc
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1256492
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-04-02 19:57 UTC by Guy Streeter
Modified: 2019-01-09 12:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 15:57:46 UTC
jkastner: fedora-review+


Attachments (Terms of Use)

Description Guy Streeter 2014-04-02 19:57:41 UTC
Spec URL: http://people.redhat.com/streeter/python-hwloc.spec
SRPM URL: http://people.redhat.com/streeter/python-hwloc-2.0-1.7.1.4.fc20.src.rpm
Description: python-hwloc - Python bindings and class implementations for the Portable Hardware Locality library
Fedora Account System Username: streeter

This is my first package, and I need a sponsor. I work at Red Hat in kernel support, and have been a software developer for 30 years.

I wrote this package and maintain the upstream at https://git.fedorahosted.org/cgit/python-hwloc.git/

I have built the package in koji at http://koji.fedoraproject.org/koji/taskinfo?taskID=6699662

Comment 1 Jiri Kastner 2014-04-04 15:44:39 UTC
[indy@dhcp-27-223 ~]$ rpmlint rpmbuild/SRPMS/python-hwloc-2.0-1.7.1.4.fc20.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[indy@dhcp-27-223 ~]$ rpmlint rpmbuild/SPECS/python-hwloc.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

looks good to me.

Comment 2 Guy Streeter 2015-07-13 18:01:19 UTC
Latest versions:

http://people.redhat.com/streeter/python-hwloc-2.0.7-1.10.0.fc21.src.rpm
http://people.redhat.com/streeter/python-hwloc.spec

http://people.redhat.com/streeter/python3-hwloc-2.1-1.10.0.fc21.src.rpm
http://people.redhat.com/streeter/python3-hwloc.spec

COPR built for Fedora 21, 22 at

https://copr.fedoraproject.org/coprs/streeter/python-hwloc/

Do I need a separate review request for the python3 version?

By the way, this package requires python(3)-libnuma. I am currently preparing a review request for that.

Comment 4 Guy Streeter 2015-08-24 20:31:03 UTC
I have created a review request for python-libnuma, which this package requires.
Bug 1256492

Comment 6 Jiri Kastner 2018-06-05 07:49:55 UTC
guy, is this review still valid?

Comment 7 Guy Streeter 2018-06-06 14:05:50 UTC
The source code is now hosted at
https://gitlab.com/guystreeter/python-hwloc
but everything else is accurate.


Note You need to log in before you can comment on or make changes to this bug.